Bug 1278245 - Failed to add node to existing env using atomic-openshift-installer
Failed to add node to existing env using atomic-openshift-installer
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Samuel Munilla
Gaoyun Pei
:
Depends On:
Blocks: 1259915
  Show dependency treegraph
 
Reported: 2015-11-04 22:54 EST by Gaoyun Pei
Modified: 2015-11-20 10:42 EST (History)
4 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.7-1.git.87.c20c024.el7aos
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:42:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2015-11-04 22:54:19 EST
Description of problem:
Error happened when trying to add more node to an installed environment.

Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.0.7-1.git.48.75d357c.el7aos.noarch

How reproducible:
Always

Steps to Reproduce:

10.x.x.111 is the master host
10.x.x.122 is the node host
10.x.x.145 is a clean rhel-72 system

1.[root@openshift-v3 ~]# atomic-openshift-installer install
...
( Input the hosts of the existing env )
Enter hostname or IP address: []: 10.x.x.111
Will this host be an OpenShift Master? [y/N]: y
Will this host be RPM or Container based (rpm/container)? [rpm]:
Do you want to add additional hosts? [y/N]: y
Enter hostname or IP address: []: 10.x.x.122
Will this host be an OpenShift Master? [y/N]: N
Will this host be RPM or Container based (rpm/container)? [rpm]:
Do you want to add additional hosts? [y/N]: N


2. Choose 1 after the installer detect the installed environment
Do you want to (1) add more nodes or (2) perform a clean install?: 1


3. Input the host information of the new node

Enter hostname or IP address: []: 10.x.x.145
Will this host be an OpenShift Master? [y/N]: N
Will this host be RPM or Container based (rpm/container)? [rpm]:
Do you want to add additional hosts? [y/N]: N
Writing config to: /root/.config/openshift/installer.cfg.yml


4. Confirm the information about all the hosts
...
Ready to run installation process.

If changes are needed to the values recorded by the installer please update /root/.config/openshift/installer.cfg.yml.

Are you ready to continue? [y/N]: y

PLAY [Populate config host groups] ********************************************

TASK: [fail ] *****************************************************************
failed: [localhost] => {"failed": true}
msg: This playbook rquires g_etcd_group to be set

FATAL: all hosts have already failed -- aborting

PLAY RECAP ********************************************************************
           to retry, use: --limit @/root/scaleup.retry

localhost                  : ok=0    changed=0    unreachable=0    failed=1


An error was detected.  After resolving the problem please relaunch the
installation process.


Actual results:

Expected results:
Should no error occur when adding node to such an existing env

Additional info:
Comment 1 Brenton Leanhardt 2015-11-06 08:47:50 EST
This is likely fixed by https://github.com/openshift/openshift-ansible/pull/824.  I'll test this morning.
Comment 2 Brenton Leanhardt 2015-11-06 14:19:27 EST
This should be fixed in the next puddle.

Note You need to log in before you can comment on or make changes to this bug.